GET restapi/personal/yourfiles/courses/v1?PageIndex={PageIndex}&PageSize={PageSize}&searchPhrase={searchPhrase}&sortField={sortField}&sortOrder={sortOrder}

Get courses for the current user

Request Information

URI Parameters

NameDescriptionTypeAdditional information
PageIndex

integer

None.

PageSize

integer

None.

searchPhrase

Optional. Get only the courses that matches the search phrase

string

Default value is

sortField

The sort field. Title or LastUpdated

string

Default value is

sortOrder

The sort order. Ascending or Descending

string

Default value is

Body Parameters

None.

Response Information

Resource Description

EntityList of courses

EntityListOfItslearning.RestApi.Entities.YourFiles.CourseModel
NameDescriptionTypeAdditional information
EntityArray

Collection of Itslearning.RestApi.Entities.YourFiles.CourseModel

None.

Total

integer

None.

CurrentPageIndex

integer

None.

PageSize

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "EntityArray": [
    {
      "CourseId": 1,
      "Title": "sample string 2",
      "LastUpdated": "2026-05-28T17:47:15Z",
      "LastUpdatedString": "sample string 4",
      "Teachers": [
        "sample string 1",
        "sample string 2"
      ],
      "IsActive": true,
      "IsDeleted": true,
      "NumberOfElements": 7,
      "CourseStatus": "sample string 8",
      "ColorSchemaClass": "sample string 9"
    },
    {
      "CourseId": 1,
      "Title": "sample string 2",
      "LastUpdated": "2026-05-28T17:47:15Z",
      "LastUpdatedString": "sample string 4",
      "Teachers": [
        "sample string 1",
        "sample string 2"
      ],
      "IsActive": true,
      "IsDeleted": true,
      "NumberOfElements": 7,
      "CourseStatus": "sample string 8",
      "ColorSchemaClass": "sample string 9"
    }
  ],
  "Total": 1,
  "CurrentPageIndex": 2,
  "PageSize": 3
}

application/xml, text/xml

Sample:
<EntityList xmlns:i="http://www.w3.org/2001/XMLSchema-instance">
  <CurrentPageIndex>2</CurrentPageIndex>
  <EntityArray>
    <CourseModel>
      <ColorSchemaClass>sample string 9</ColorSchemaClass>
      <CourseId>1</CourseId>
      <CourseStatus>sample string 8</CourseStatus>
      <IsActive>true</IsActive>
      <IsDeleted>true</IsDeleted>
      <LastUpdated>2026-05-28T17:47:15Z</LastUpdated>
      <LastUpdatedString>sample string 4</LastUpdatedString>
      <NumberOfElements>7</NumberOfElements>
      <Teachers xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:string>sample string 1</d4p1:string>
        <d4p1:string>sample string 2</d4p1:string>
      </Teachers>
      <Title>sample string 2</Title>
    </CourseModel>
    <CourseModel>
      <ColorSchemaClass>sample string 9</ColorSchemaClass>
      <CourseId>1</CourseId>
      <CourseStatus>sample string 8</CourseStatus>
      <IsActive>true</IsActive>
      <IsDeleted>true</IsDeleted>
      <LastUpdated>2026-05-28T17:47:15Z</LastUpdated>
      <LastUpdatedString>sample string 4</LastUpdatedString>
      <NumberOfElements>7</NumberOfElements>
      <Teachers xmlns:d4p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
        <d4p1:string>sample string 1</d4p1:string>
        <d4p1:string>sample string 2</d4p1:string>
      </Teachers>
      <Title>sample string 2</Title>
    </CourseModel>
  </EntityArray>
  <PageSize>3</PageSize>
  <Total>1</Total>
</EntityList>